//
//  BuildChipList.h
//  Awars III
//
//  Created by Killery on 2012/12/16.
//  Copyright (c) 2012年 Killery. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MapEditor.h"

typedef struct _BUILDCHIP{
    
    NSString *name;
    NSString *nameR;
    NSString *nameID;
    int HP;
    int dmgfix;
    int WT;
    int type;
    int defLv;
    
    int Csupply;
    int Cfood;
    int Cmoney;
    
    
    int CsupplyNext;
    int CfoodNext;
    int CmoneyNext;
    int WTN;
    
    int Esupply;
    int Efood;
    int Emoney;
    int WTE;
    
    
    int recHP;
    int recMP;
    int recEN;
    bool inroadsFlag;
    NSString *linkDest;
    NSString *linkNext;
    
    
    NSString *iName;
    NSImage *img;
    
    NSString *iNameb;
    NSImage *imgb;
    
    
}BUILDCHIP;

BUILDCHIP BC[128];

@interface BuildChipList : NSObject <NSTableViewDelegate>
{
    IBOutlet NSPanel* BCLPanel;
    IBOutlet NSPanel* BCLDetailPanel;
    IBOutlet NSPanel* BCLDetailOptionPanel;
    IBOutlet NSPanel* BCLUnitResearchPanel;
    NSPoint BCLDpoint;
    
    
    NSMutableArray *buildChipListMA;
    IBOutlet NSArrayController *buildChipListAC;
    IBOutlet NSTableView *buildChipListTV;
    
    NSArray *fileDataArray;
    NSInteger chipNumb;
    
    
    IBOutlet NSTextField *TFname;
    IBOutlet NSTextField *TFnameR;
    IBOutlet NSTextField *TFnameID;
    IBOutlet NSTextField *TFfix;
    IBOutlet NSTextField *TFWT;
    IBOutlet NSTextField *TFDLv;
    IBOutlet NSTextField *TFHP;
    IBOutlet NSTextField *TFRHP;
    IBOutlet NSTextField *TFRMP;
    IBOutlet NSTextField *TFREN;
    IBOutlet NSTextField *TFcostS;
    IBOutlet NSTextField *TFcostF;
    IBOutlet NSTextField *TFcostM;
    IBOutlet NSTextField *TFcostSn;
    IBOutlet NSTextField *TFcostFn;
    IBOutlet NSTextField *TFcostMn;
    IBOutlet NSTextField *TFcostSe;
    IBOutlet NSTextField *TFcostFe;
    IBOutlet NSTextField *TFcostMe;
    IBOutlet NSTextField *TFWTE;
    IBOutlet NSTextField *TFWTN;
    IBOutlet NSButton *BTNinroads;
    IBOutlet NSPopUpButton *PUPtype;
    IBOutlet NSPopUpButton *PUPlinkD;
    IBOutlet NSPopUpButton *PUPlinkN;
    IBOutlet NSImageView *IVimg;
    IBOutlet NSImageView *IVimgBig;
}
-(IBAction)submit:(id)sender;
- (NSMutableArray*)buildChipListMA;

-(IBAction)saveBCL:(id)sender;
-(IBAction)cancelBCL:(id)sender;
-(IBAction)optionBCL:(id)sender;
-(IBAction)optionCloseBCL:(id)sender;
-(IBAction)unitResearchBCL:(id)sender;
-(IBAction)unitResearchCloseBCL:(id)sender;

@end
