//
//  BuildChipList.m
//  Awars III
//
//  Created by Killery on 2012/12/16.
//  Copyright (c) 2012年 Killery. All rights reserved.
//

#import "BuildChipList.h"

@implementation BuildChipList
- (void)dealloc
{
    [super dealloc];
}

- (NSMutableArray*)buildChipListMA{
    return buildChipListMA;
}
-(IBAction)submit:(id)sender{
    [BCLPanel close];
}

-(void)awakeFromNib{
    [buildChipListTV setTarget:self];
    [buildChipListTV setDoubleAction:@selector(doubleClickBCL:)];
}
-(id)init{
    [super init];
    
    if (self) {
        [self initFileDirectory];
        [self initBuildChipList];
        BuildChipMax = (int)chipNumb/24 + 1;

    }   
    
    return self;
}
NSInteger clickIndex;
-(void)doubleClickBCL:(id)sender{
    clickIndex = [buildChipListTV clickedRow];
    if( clickIndex>=0 ){
        
        [TFname setStringValue:BC[clickIndex].name];
        [TFnameR setStringValue:BC[clickIndex].nameR];
        [TFnameID setStringValue:BC[clickIndex].nameID];
        [TFfix setIntValue:BC[clickIndex].dmgfix];
        [TFWT setIntValue:BC[clickIndex].WT];
        [TFDLv setIntValue:BC[clickIndex].defLv];
        [TFHP setIntValue:BC[clickIndex].HP];
        [TFRHP setIntValue:BC[clickIndex].recHP];
        [TFRMP setIntValue:BC[clickIndex].recMP];
        [TFREN setIntValue:BC[clickIndex].recEN];
        [TFcostS setIntValue:BC[clickIndex].Csupply];
        [TFcostF setIntValue:BC[clickIndex].Cfood];
        [TFcostM setIntValue:BC[clickIndex].Cmoney];
        [TFcostSn setIntValue:BC[clickIndex].CsupplyNext];
        [TFcostFn setIntValue:BC[clickIndex].CfoodNext];
        [TFcostMn setIntValue:BC[clickIndex].CmoneyNext];
        [TFcostSe setIntValue:BC[clickIndex].Esupply];
        [TFcostFe setIntValue:BC[clickIndex].Efood];
        [TFcostMe setIntValue:BC[clickIndex].Emoney];
        [TFWTE setIntValue:BC[clickIndex].WTE];
        [TFWTN setIntValue:BC[clickIndex].WTN];
        [IVimg setImage:BC[clickIndex].img];
        [IVimgBig setImage:BC[clickIndex].imgb];
        [PUPtype selectItemAtIndex:BC[clickIndex].type];
        //[PUPlinkD selectItemAtIndex:BC[clickIndex].linkDest];
        //[PUPlinkN selectItemAtIndex:BC[clickIndex].linkNext];
    }
    
    
    BCLDpoint.x = [BCLPanel frame].origin.x + 50;
    BCLDpoint.y = [BCLPanel frame].origin.y + 100;
    [BCLDetailPanel setFrameOrigin:BCLDpoint];
     [BCLDetailPanel makeKeyAndOrderFront:nil];
}

-(IBAction)unitResearchBCL:(id)sender{
    
    BCLDpoint.x = [BCLDetailPanel frame].origin.x + 0;
    BCLDpoint.y = [BCLDetailPanel frame].origin.y + 0;
    [BCLUnitResearchPanel setFrameOrigin:BCLDpoint];
    [BCLUnitResearchPanel makeKeyAndOrderFront:nil];
}
-(IBAction)unitResearchCloseBCL:(id)sender{
    [BCLUnitResearchPanel close];
}

-(IBAction)saveBCL:(id)sender{
    BC[clickIndex].name = [[TFname stringValue] retain];
    BC[clickIndex].nameR = [[TFnameR stringValue] retain];
    BC[clickIndex].nameID = [[TFnameID stringValue] retain];
    BC[clickIndex].WT = [TFWT intValue];
    BC[clickIndex].dmgfix = [TFfix intValue];
    BC[clickIndex].defLv = [TFDLv intValue];
    BC[clickIndex].HP = [TFHP intValue];
    BC[clickIndex].recHP = [TFRHP intValue];
    BC[clickIndex].recMP = [TFRMP intValue];
    BC[clickIndex].recEN = [TFREN intValue];
    BC[clickIndex].Csupply = [TFcostS intValue];
    BC[clickIndex].Cfood = [TFcostF intValue];
    BC[clickIndex].Cmoney = [TFcostM intValue];
    BC[clickIndex].CsupplyNext = [TFcostSn intValue];
    BC[clickIndex].CfoodNext = [TFcostFn intValue];
    BC[clickIndex].CmoneyNext = [TFcostMn intValue];
    BC[clickIndex].Esupply = [TFcostSe intValue];
    BC[clickIndex].Efood = [TFcostFe intValue];
    BC[clickIndex].Emoney = [TFcostMe intValue];
    BC[clickIndex].WTE = [TFWTE intValue];
    BC[clickIndex].WTN = [TFWTN intValue];
    BC[clickIndex].type = (int)[PUPtype indexOfSelectedItem];
    BC[clickIndex].img = [[IVimg image] retain];
    BC[clickIndex].imgb = [[IVimgBig image] retain];
    
    [buildChipListAC setValue:[NSString stringWithFormat:@"%@", BC[clickIndex].name] forKeyPath:@"selection.name"];
    [buildChipListAC setValue:[NSString stringWithFormat:@"%d", BC[clickIndex].dmgfix] forKeyPath:@"selection.dmgfix"];
    [buildChipListAC setValue:[NSString stringWithFormat:@"%d", BC[clickIndex].HP] forKeyPath:@"selection.HP"];
    [buildChipListAC setValue:[NSString stringWithFormat:@"%d", BC[clickIndex].defLv] forKeyPath:@"selection.defLv"];
    [buildChipListAC setValue:[NSString stringWithFormat:@"%d", BC[clickIndex].WT] forKeyPath:@"selection.WT"];

    
    [self saveData];
    [BCLDetailPanel close];
}
-(IBAction)cancelBCL:(id)sender{
    [BCLDetailPanel close];
}

-(IBAction)optionBCL:(id)sender{
    
    BCLDpoint.x = [BCLDetailPanel frame].origin.x + 100;
    BCLDpoint.y = [BCLDetailPanel frame].origin.y + 0;
    [BCLDetailOptionPanel setFrameOrigin:BCLDpoint];
    [BCLDetailOptionPanel makeKeyAndOrderFront:nil];
}

-(IBAction)optionCloseBCL:(id)sender{
    [BCLDetailOptionPanel close];
}

-(void)initFileDirectory{
    NSString *directoryPath;
    
    directoryPath = [[[NSBundle mainBundle] bundlePath] stringByDeletingLastPathComponent];
    [[NSFileManager defaultManager] changeCurrentDirectoryPath:directoryPath];
    
    char *cwd;
    cwd = getcwd(NULL, 0);
    
    
    NSData *InitialData = [NSData dataWithContentsOfFile:@"data/BuildChip/preset.txt"];
    NSString *pathBC = @"data/BuildChip/img";
    NSString *pathDATA2 = @"data/BuildChip/preset.txt";
    NSString *pathBCP = @"data/BuildChip/preset.txt";
    NSString *fileData = nil;
    
    chipNumb = 20;
    if(!InitialData){
        [[NSFileManager defaultManager] createDirectoryAtPath:pathBC withIntermediateDirectories:YES attributes:nil error:nil];
        [[NSFileManager defaultManager] createFileAtPath:pathDATA2 contents:nil attributes:nil];

        [[NSFileManager defaultManager] createFileAtPath:pathBCP contents:nil attributes:nil];
        
        NSString *data1 = @"集落\n集落（一般）\nb1\n2000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data2 = @"村\n村（一般）\nb2\n3000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data3 = @"町\n町（一般）\nb3\n5000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data4 = @"街\n街（一般）\nb4\n8000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data5 = @"城\n城（一般）\nb5\n9000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data6 = @"都市\n都市（一般）\nb6\n15000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data7 = @"首都\n首都（一般）\nb7\n20000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data8 = @"町の中心\n町の中心（一般）\nb8\n5000,2000,30,5,30,30,0\n500,500,0,500,500,500,100,100,100,1000,1000\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data9 = @"城壁\n城壁（一般）\nb9\n2500,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data10 = @"瓦礫\n瓦礫（一般）\nb10\n1000,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data11 = @"工場\n工場（一般）\nb11\n1600,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data12 = @"港\n港（一般）\nb12\n1500,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data13 = @"空港\n空港（一般）\nb13\n1800,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data14 = @"学校\n学校（一般）\nb14\n1500,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data15 = @"病院\n病院（一般）\nb15\n2000,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data16 = @"保安所\n保安所（一般）\nb16\n2000,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data17 = @"研究所\n研究所（一般）\nb17\n2400,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data18 = @"統制機構\n統制機構（一般）\nb18\n5000,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data19 = @"魔物の巣\n魔物の巣（一般）\nb19\n3000,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        NSString *data20 = @"魔法陣\n魔法陣（一般）\nb20\n1000,2000,30,5,30,30,0\n500,500,0,0,0,0,0,0,0,0,0\n0,0,id,id\nbc1.png,bcb1.png\n----\n----";
        
        
        for (int i=0; i<chipNumb; i++) {
        NSString *fdata = @"data/BuildChip/BCdata";
        
        fdata = [fdata stringByAppendingFormat:@"%d.txt", i+1];
            
            switch (i) {
                case 0:
                    [data1 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 1:
                    [data2 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 2:
                    [data3 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 3:
                    [data4 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 4:
                    [data5 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 5:
                    [data6 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 6:
                    [data7 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 7:
                    [data8 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 8:
                    [data9 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 9:
                    [data10 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 10:
                    [data11 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 11:
                    [data12 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 12:
                    [data13 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 13:
                    [data14 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 14:
                    [data15 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 15:
                    [data16 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 16:
                    [data17 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 17:
                    [data18 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 18:
                    [data19 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;
                case 19:
                    [data20 writeToFile:fdata atomically:YES encoding:NSUTF8StringEncoding error:nil];
                    break;

                default:
                    break;
            }
        
        }
        
    }
    
    for (int j=0; j<chipNumb; j++) {
        NSString *fdata = @"data/BuildChip/BCdata";
        
        fdata = [fdata stringByAppendingFormat:@"%d.txt", j+1];
        
        fileData = [NSString stringWithContentsOfFile:fdata encoding:NSUTF8StringEncoding error:nil];
        fileDataArray = [fileData componentsSeparatedByString:@"\n"];
    
            BC[j].name = [[fileDataArray objectAtIndex:0] retain];
            BC[j].nameR = [[fileDataArray objectAtIndex:1] retain];
            BC[j].nameID = [[fileDataArray objectAtIndex:2] retain];
        
            NSArray *items = [[fileDataArray objectAtIndex:3] componentsSeparatedByString:@","];
            
            BC[j].HP = [[items objectAtIndex:0] intValue];
            BC[j].WT = [[items objectAtIndex:1] intValue];
            BC[j].dmgfix = [[items objectAtIndex:2] intValue];
            BC[j].defLv = [[items objectAtIndex:3] intValue];
            BC[j].recHP = [[items objectAtIndex:4] intValue];
            BC[j].recMP = [[items objectAtIndex:5] intValue];
            BC[j].recEN = [[items objectAtIndex:6] intValue];
            
            items = [[fileDataArray objectAtIndex:4] componentsSeparatedByString:@","];
            
            BC[j].Csupply = [[items objectAtIndex:0] intValue];
            BC[j].Cfood = [[items objectAtIndex:1] intValue];
            BC[j].Cmoney = [[items objectAtIndex:2] intValue];
            BC[j].CsupplyNext = [[items objectAtIndex:3] intValue];
            BC[j].CfoodNext = [[items objectAtIndex:4] intValue];
            BC[j].CmoneyNext = [[items objectAtIndex:5] intValue];
            BC[j].Esupply = [[items objectAtIndex:6] intValue];
            BC[j].Efood = [[items objectAtIndex:7] intValue];
            BC[j].Emoney = [[items objectAtIndex:8] intValue];
            BC[j].WTE = [[items objectAtIndex:9] intValue];
            BC[j].WTN = [[items objectAtIndex:10] intValue];
            
            items = [[fileDataArray objectAtIndex:5] componentsSeparatedByString:@","];
            
            BC[j].inroadsFlag = [[items objectAtIndex:0] intValue];
            BC[j].type = [[items objectAtIndex:1] intValue];
            BC[j].linkDest = [[items objectAtIndex:2] retain];
            BC[j].linkNext = [[items objectAtIndex:3] retain];
            
            items = [[fileDataArray objectAtIndex:6] componentsSeparatedByString:@","];
            
            BC[j].iName = [[items objectAtIndex:0] retain];
            BC[j].iNameb = [[items objectAtIndex:1] retain];
        
            //NSLog(@"iName = %@\n", BC[j].iName);
        
            NSString *imgName = @"bc";
            imgName = [imgName stringByAppendingFormat:@"%d", j+1];
            BC[j].img = [NSImage imageNamed:imgName];
            
            imgName = [NSString stringWithFormat:@"bcb"];
            imgName = [imgName stringByAppendingFormat:@"%d", j+1];
            BC[j].imgb = [NSImage imageNamed:imgName];
            
            /*
            NSString *imagePath = @"data/BuildChip/img/";
            imagePath = [imagePath stringByAppendingString:BC[j].iName];
            NSData *imgData = [NSData dataWithContentsOfFile:imagePath];
            
            if(imgData)
                BC[j].img = [[NSImage alloc] initWithData:[[NSFileHandle fileHandleForReadingAtPath:imagePath] readDataToEndOfFile]];
            
            imagePath = [NSString stringWithFormat:@"data/BuildChip/img/"];
            imagePath = [imagePath stringByAppendingString:BC[j].iName];
            imgData = [NSData dataWithContentsOfFile:imagePath];
            
            if(imgData)
                BC[j].imgb = [[NSImage alloc] initWithData:[[NSFileHandle fileHandleForReadingAtPath:imagePath] readDataToEndOfFile]];
            */
            
            
        
    }
    
    
    
    
    
}

-(void)initBuildChipList{
    buildChipListMA = [NSMutableArray new];
    
    for(int i = 0;i < chipNumb;i++){
        NSMutableDictionary* dict = [NSMutableDictionary new];
        
        [dict setValue:BC[i].img forKey:@"img"];
        [dict setValue:BC[i].imgb forKey:@"imgBig"];
        [dict setValue:[NSString stringWithFormat:@"%@", BC[i].name] forKey:@"name"];
        [dict setValue:[NSString stringWithFormat:@"%d", BC[i].HP] forKey:@"HP"];
        [dict setValue:[NSString stringWithFormat:@"%d", BC[i].WT] forKey:@"WT"];
        [dict setValue:[NSString stringWithFormat:@"%d", BC[i].dmgfix] forKey:@"dmgfix"];
        [dict setValue:[NSString stringWithFormat:@"%d", BC[i].defLv] forKey:@"defLv"];
        [self willChangeValueForKey:@"buildChipListMA"];
        [buildChipListMA addObject:dict];
        [self didChangeValueForKey:@"buildChipListMA"];
    }
    
    
}

-(void)saveData{
    NSString *directoryPath;
    
    directoryPath = [[[NSBundle mainBundle] bundlePath] stringByDeletingLastPathComponent];
    [[NSFileManager defaultManager] changeCurrentDirectoryPath:directoryPath];
    
    char *cwd;
    cwd = getcwd(NULL, 0);
    
    for (int i = 0;i < chipNumb;i++) {
        NSString *fileData = @"";
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].name]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].nameR]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].nameID]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].HP]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].WT]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].dmgfix]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].defLv]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].recHP]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].recMP]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].recEN]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].Csupply]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].Cfood]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].Cmoney]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].CsupplyNext]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].CfoodNext]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].CmoneyNext]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].Esupply]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].Efood]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].Emoney]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].WTE]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].WTN]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].inroadsFlag]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%d", BC[i].type]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].linkDest]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].linkNext]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].iName]] stringByAppendingString:@","];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"%@", BC[i].iNameb]] stringByAppendingString:@"\n"];
        fileData = [[fileData stringByAppendingString:[NSString stringWithFormat:@"----"]] stringByAppendingString:@"\n"];
        fileData = [fileData stringByAppendingString:[NSString stringWithFormat:@"----"]];
        if(i != chipNumb - 1) fileData = [fileData stringByAppendingString:[NSString stringWithFormat:@"\n"]];
        
        NSString *pathBCP = @"data/BuildChip/BCdata";
        pathBCP = [pathBCP stringByAppendingFormat:@"%d.txt", i + 1];
        [fileData writeToFile:pathBCP atomically:YES encoding:NSUTF8StringEncoding error:nil];
    }
    
}

@end
