//
//  MapEditor.m
//  Awars III
//
//  Created by Killery on 2012/12/06.
//  Copyright (c) 2012年 Killery. All rights reserved.
//

#import "MapEditor.h"

@implementation MapEditor
-(void)awakeFromNib{

    [TFcurrentChipIndex setStringValue:[NSString stringWithFormat:@"%d/%d", MapChipListIndex,MapChipMax]];
}

-(id)init{
    if (self) {
        time0  = [NSTimer
                 scheduledTimerWithTimeInterval:0.05f
                 target:self
                 selector:@selector(EventLoop0:)
                 userInfo:nil
                 repeats:YES
                 ];
        MapChipListIndex = 1;
        BuildChipListIndex = 1;
        UnitChipListIndex = 1;
    }
    return self;
}

-(void)EventLoop0:(NSTimer*)time{
    if(SLSx == 0) [TFcurrentChipIndex setStringValue:[NSString stringWithFormat:@"%d/%d", MapChipListIndex,MapChipMax]];
    if(SLSx == 1) [TFcurrentChipIndex setStringValue:[NSString stringWithFormat:@"%d/%d", BuildChipListIndex,BuildChipMax]];
    if(SLSx == 2) [TFcurrentChipIndex setStringValue:[NSString stringWithFormat:@"%d/%d", UnitChipListIndex,UnitChipMax]];

    if(DoubleClicked){DoubleClicked = false;
        windowPoint.x = [MapEditorWindow frame].origin.x;
        windowPoint.y = [MapEditorWindow frame].origin.y;
    if(SLSx == 0){
        [PMCL setFrameOrigin:windowPoint];
        [PMCL makeKeyAndOrderFront:nil];
    }
    if(SLSx == 1){
        [PBCL setFrameOrigin:windowPoint];
        [PBCL makeKeyAndOrderFront:nil];
    }
    if(SLSx == 2){
        [PUCL setFrameOrigin:windowPoint];
        [PUCL makeKeyAndOrderFront:nil];
    }
    }
}
-(IBAction)backTitle:(id)sender{
    windowPoint.x = [MapEditorWindow frame].origin.x;
    windowPoint.y = [MapEditorWindow frame].origin.y;
    [TitleWindow setFrameOrigin:windowPoint];
    [TitleWindow makeKeyAndOrderFront:nil];
    [MapEditorWindow close];
}
-(void)previous:(id)sender{
    if(SLSx == 0){
        if(MapChipListIndex <= 1) MapChipListIndex = MapChipMax;
        else MapChipListIndex--;
    }
    if(SLSx == 1){
        if(BuildChipListIndex <= 1) BuildChipListIndex = BuildChipMax;
        else BuildChipListIndex--;
    }
    if(SLSx == 2){
        if(UnitChipListIndex <= 1) UnitChipListIndex = UnitChipMax;
        else UnitChipListIndex--;
    }
}
-(void)next:(id)sender{
    if(SLSx == 0){
    if(MapChipListIndex >= MapChipMax) MapChipListIndex = 1;
    else MapChipListIndex++;
    }
    if(SLSx == 1){
    if(BuildChipListIndex >= BuildChipMax) BuildChipListIndex = 1;
    else BuildChipListIndex++;
    }
    if(SLSx == 2){
    if(UnitChipListIndex >= UnitChipMax) UnitChipListIndex = 1;
    else UnitChipListIndex++;
    }

}
@end
