//
//  SenarioList.m
//  Awars III
//
//  Created by Killery on 2013/01/09.
//  Copyright (c) 2013年 Killery. All rights reserved.
//

#import "ScenarioList.h"

@implementation ScenarioList
-(IBAction)startButton:(id)sender{
    [SLPanel close];
    [NSApp stopModal];
}
-(IBAction)backButton:(id)sender{
    [SLPanel close];
    [NSApp stopModal];
}

-(IBAction)windowMove:(id)sender{

}

-(void)awakeFromNib{
    [IVscene setImage:SC[1].img];
    [IVscene setImageScaling:NSScaleToFit];
    [PUBscenario removeAllItems];
    
    for(int i = 0;i < SCarray;i++){
        [PUBscenario addItemWithTitle:SC[i+1].name];
    }
    
}

-(id)init{
    
    if (self) {
        [self initFileDirectory];
        [self initScenarioList];
        time  = [NSTimer
                 scheduledTimerWithTimeInterval:0.05f
                 target:self
                 selector:@selector(EventLoop:)
                 userInfo:nil
                 repeats:YES
                 ];
    }
    
    return self;
}

-(void)EventLoop:(NSTimer*)time{
    SLPpoint.x = [titleWindow frame].origin.x + 100;
    SLPpoint.y = [titleWindow frame].origin.y + 100;
    [SLPanel setFrameOrigin:SLPpoint];
}


-(void)initFileDirectory{
    NSString *directoryPath;
    
    directoryPath = [[[NSBundle mainBundle] bundlePath] stringByDeletingLastPathComponent];
    [[NSFileManager defaultManager] changeCurrentDirectoryPath:directoryPath];
    
    char *cwd;
    cwd = getcwd(NULL, 0);
    
    
    NSData *InitialData = [NSData dataWithContentsOfFile:@"data/Scenario/preset.txt"];
    NSString *pathDATA = @"data/Scenario/preset.txt";
    NSString *pathFOLDER = @"data/Scenario";
    
    NSString *fileData = nil;
    if(!InitialData){
        [[NSFileManager defaultManager] createDirectoryAtPath:pathFOLDER withIntermediateDirectories:YES attributes:nil error:nil];
        [[NSFileManager defaultManager] createFileAtPath:pathDATA contents:nil attributes:nil];
        
        NSString *data1 = @"##キリの野望##siKillery";
        NSString *data2 = @"Megalomania of Killery 01";
        NSString *data3 = @"Megalomania of Killery 02";
        NSString *data4 = @"Megalomania of Killery 03";
        NSString *data5 = @"Megalomania of Killery 04";
        NSString *data6 = @"Megalomania of Killery 05";
        NSString *data7 = @"Megalomania of Killery 06";
        NSString *data8 = @"Megalomania of Killery 07";
        NSString *data9 = @"Megalomania of Killery 08";
        NSString *data10 = @"Megalomania of Killery 09";
        NSString *data11 = @"Megalomania of Killery 10";
        NSString *data12 = @"Megalomania of Killery 11";
        NSString *data13 = @"Megalomania of Killery 12";
        NSString *data14 = @"Megalomania of Killery 13";
        NSString *data15 = @"Megalomania of Killery 14";
        NSString *data16 = @"Megalomania of Killery 15";
        NSString *data17 = @"Megalomania of Killery 16";
        NSString *data18 = @"Megalomania of Killery 17";
        NSString *data19 = @"Megalomania of Killery 18";
        NSString *data20 = @"Megalomania of Killery 19";
        NSString *data21 = @"Megalomania of Killery 20";
        NSString *data22 = @"Megalomania of Killery 21";
        NSString *data23 = @"Megalomania of Killery 22";
        NSString *data24 = @"Megalomania of Killery 23";
        NSString *data25 = @"Megalomania of Killery 24";
        NSString *data26 = @"##フリーマップ Awars III##siFreeMap";
        NSString *data27 = @"01 ウィロークリーク";
        NSString *data28 = @"02 城内";
        NSString *data29 = @"03 月影の使者";
        
        fileData = [[data1 stringByAppendingString:@"\n"] stringByAppendingString:data2];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data3];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data4];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data5];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data6];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data7];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data8];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data9];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data10];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data11];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data12];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data13];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data14];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data15];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data16];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data17];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data18];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data19];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data20];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data21];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data22];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data23];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data24];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data25];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data26];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data27];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data28];
        fileData = [[fileData stringByAppendingString:@"\n"] stringByAppendingString:data29];
        
        [fileData writeToFile:pathDATA atomically:YES encoding:NSUTF8StringEncoding error:nil];
    }
    
    fileData = [NSString stringWithContentsOfFile:pathDATA encoding:NSUTF8StringEncoding error:nil];
    fileDataArray = [fileData componentsSeparatedByString:@"\n"];
    
    
    SC[0].img = [NSImage imageNamed:@"siDefault.png"];
    
    for(int i = 1;i<=[fileDataArray count];i++){
        NSString *str = [fileDataArray objectAtIndex:i-1];
        NSRange rangeSearch;
        rangeSearch = [str rangeOfString:@"##"];
        if (rangeSearch.location != NSNotFound) SCarray++;
    }
    
    for (int i = 0;i <= SCarray;i++) {
        SC[i].sName = [NSMutableArray new];
    }
    
    if(SCarray > 0){int aDelta = 0;
        
        for (int i = 0; i<[fileDataArray count];i++) {
            NSString *str = [fileDataArray objectAtIndex:i];
            NSRange rangeSearch;
            NSArray *rangeArray;
            rangeSearch = [str rangeOfString:@"##"];
            rangeArray = [str componentsSeparatedByString:@"##"];
            if (rangeSearch.location != NSNotFound) {
                aDelta++;
                SC[aDelta].name = [[fileDataArray objectAtIndex:i] retain];
                SC[aDelta].name = [[rangeArray objectAtIndex:1] retain];
                
                if([rangeArray count] > 2){
                SC[aDelta].iName = [[rangeArray objectAtIndex:2] retain];
                SC[aDelta].img = [NSImage imageNamed:SC[aDelta].iName];
                }
            }else{
                [SC[aDelta].sName addObject:[[fileDataArray objectAtIndex:i] retain]];
                
            }
            //NSLog(@"SC[%d].sName %@", aDelta, SC[aDelta].sName);
        }
    }
}

-(void)initScenarioList{
    scenarioListMA = [NSMutableArray new];
    sceneNumb = [SC[1].sName count];
    
    for(int i = 0;i < sceneNumb;i++){
        NSMutableDictionary* dict = [NSMutableDictionary new];
        
        [dict setValue:[SC[1].sName objectAtIndex:i] forKey:@"name"];
        [self willChangeValueForKey:@"scenarioListMA"];
        [scenarioListMA addObject:dict];
        [self didChangeValueForKey:@"scenarioListMA"];
    }
    
    
}
-(IBAction)listButton:(id)sender{
    NSInteger selectNumb = [PUBscenario indexOfSelectedItem] + 1;
    
    scenarioListMA = [NSMutableArray new];
    sceneNumb = [SC[selectNumb].sName count];
    
    [IVscene setImage:SC[selectNumb].img];
    [IVscene setImageScaling:NSScaleToFit];
    for(int i = 0;i < sceneNumb;i++){
        NSMutableDictionary* dict = [NSMutableDictionary new];
        
        [dict setValue:[SC[selectNumb].sName objectAtIndex:i] forKey:@"name"];
        [self willChangeValueForKey:@"scenarioListMA"];
        [scenarioListMA addObject:dict];
        [self didChangeValueForKey:@"scenarioListMA"];
    }
    
    //NSLog(@"select Numb %d", selectNumb);
}
    

@end







